# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "kubetsu-serde"
version = "0.1.1"
authors = ["Keiji Yoshimi"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "serde support for kubetsu ID types"
homepage = "https://github.com/walf443/kubetsu"
readme = "README.md"
keywords = [
    "serde",
    "newtype",
    "id",
    "no-std",
]
categories = [
    "encoding",
    "no-std",
]
license = "MIT"
repository = "https://github.com/walf443/kubetsu.git"
resolver = "2"

[lib]
name = "kubetsu_serde"
path = "src/lib.rs"

[dependencies.kubetsu]
version = "0.7"

[dependencies.serde]
version = "1"
default-features = false

[dev-dependencies.serde_json]
version = "1"
